Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.robot
Class RobotTestPlugin

    java.lang.Object
      scone.Plugin
          scone.robot.RobotTestPlugin

All Implemented Interfaces:
  java.util.Observer, RobotUser

    public class RobotTestPlugin

extends Plugin
implements java.util.Observer, RobotUser

This plugin tests the robot's basic functionality. Register it as a scone plugin. It will crawl the link-environment of every page displayed in the browser.

Author:
  Frank Wollenweber, Harald Weinreich

Field Summary

Fields inherited from class scone.Plugin
`ACCESSTRACKING, ACCESSTRACKING2, ADDPREAMBLE, CALCFINGERPRINT, CONSIDERINCLUSIONS, CONSIDERKEYWORDS, CONSIDERLINKS, COPYRIGHT, DECENT_HOST_CONDITION, HTDOCCONDITION, NO_HTDOCCONDITION, NOCACHE, NOREQUIREMENTS, PAGETIMEOUT, PARSEDOCUMENT, POSTDATA, RAS, RESOURCEGENERATOR, SAVEBODYTEXT, SAVESOURCECODE, USEPARSINGMEG`

Constructor Summary
`RobotTestPlugin()` constructor

Method Summary
`int` | `getRequirements()` requirements
`void` | `init()` Scone calls this method from all plugins.
`void` | `robotNewPage(RobotHtmlNode robotHtmlNode, RobotTask robotTask)` The robot found a new document
`void` | `robotTaskFinished(RobotTask robotTask)` The robot finished the robotTask
`void` | `update(java.util.Observable o, java.lang.Object arg)` New Scone event

Methods inherited from class scone.Plugin
`addMeg, disable, displayConfigGUI, displayConfigGUI, enable, getProperties, getRasPort, init, saveProperties, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobotTestPlugin

    public RobotTestPlugin()

  constructor

Method Detail

### getRequirements

    public int getRequirements()

  requirements

  Specified by:
    `getRequirements` in class `Plugin`
  Returns:
    this task's requirements

### init

    public void init()

  Scone calls this method from all plugins. It reads the configuration from scone.robot.RobotTestPlugin.xml

  Specified by:
    `init` in class `Plugin`

### update

    public void update(java.util.Observable o,
                       java.lang.Object arg)

  New Scone event

  Specified by:
    `update` in interface `java.util.Observer`

### robotNewPage

    public void robotNewPage(RobotHtmlNode robotHtmlNode,
                             RobotTask robotTask)

  The robot found a new document

  Specified by:
    `robotNewPage` in interface `RobotUser`
  Parameters:
    `robotHtmlNode` - the new document
    `robotTask` - identifies the task which causes the robot to download robotHtmlNode.

### robotTaskFinished

    public void robotTaskFinished(RobotTask robotTask)

  The robot finished the robotTask

  Specified by:
    `robotTaskFinished` in interface `RobotUser`
  Parameters:
    `robotTask` - the robot finished this task

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD